Create an encrypted bearer integration
curl --request POST \
--url https://app.factorize.sh/api/v1/integrations/bearer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"origin": "<string>",
"description": "<string>",
"encryptedPayload": "<string>"
}
'import requests
url = "https://app.factorize.sh/api/v1/integrations/bearer"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"origin": "<string>",
"description": "<string>",
"encryptedPayload": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expectedRevision: 4503599627370495,
idempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
origin: '<string>',
description: '<string>',
encryptedPayload: '<string>'
})
};
fetch('https://app.factorize.sh/api/v1/integrations/bearer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/integrations/bearer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expectedRevision' => 4503599627370495,
'idempotencyKey' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'origin' => '<string>',
'description' => '<string>',
'encryptedPayload' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/integrations/bearer"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"origin\": \"<string>\",\n \"description\": \"<string>\",\n \"encryptedPayload\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/integrations/bearer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"origin\": \"<string>\",\n \"description\": \"<string>\",\n \"encryptedPayload\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/integrations/bearer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"origin\": \"<string>\",\n \"description\": \"<string>\",\n \"encryptedPayload\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"revision": 4503599627370495,
"duplicate": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}integrations
Create an encrypted bearer integration
Requires an interactive owner browser session. Accepts only user-encrypted ciphertext, never an unlock key or plaintext credential.
Requires the integrations:write scope.
An interactive owner session is required; bearer tokens cannot call this operation.
POST
/
api
/
v1
/
integrations
/
bearer
Create an encrypted bearer integration
curl --request POST \
--url https://app.factorize.sh/api/v1/integrations/bearer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"origin": "<string>",
"description": "<string>",
"encryptedPayload": "<string>"
}
'import requests
url = "https://app.factorize.sh/api/v1/integrations/bearer"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedRevision": 4503599627370495,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"origin": "<string>",
"description": "<string>",
"encryptedPayload": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expectedRevision: 4503599627370495,
idempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
origin: '<string>',
description: '<string>',
encryptedPayload: '<string>'
})
};
fetch('https://app.factorize.sh/api/v1/integrations/bearer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/integrations/bearer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expectedRevision' => 4503599627370495,
'idempotencyKey' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'origin' => '<string>',
'description' => '<string>',
'encryptedPayload' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/integrations/bearer"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"origin\": \"<string>\",\n \"description\": \"<string>\",\n \"encryptedPayload\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.factorize.sh/api/v1/integrations/bearer")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"origin\": \"<string>\",\n \"description\": \"<string>\",\n \"encryptedPayload\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/integrations/bearer")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedRevision\": 4503599627370495,\n \"idempotencyKey\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"origin\": \"<string>\",\n \"description\": \"<string>\",\n \"encryptedPayload\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"revision": 4503599627370495,
"duplicate": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthcookieAuth
Body
application/json